VPS侦探论坛

 找回密码
 注册
查看: 202|回复: 2

centos 7.6 安装lnmp1.9 php5.6失败

[复制链接]
发表于 2022-11-30 12:05:13 | 显示全部楼层 |阅读模式

今早用了腾讯云香港的一个vps安装centos 7.6 系统,然后用lnmp1.9一键包,除了输入mysql密码外,安装过程全部选默认选项,php版本就是默认的5.6.40。然后在刚开始安装时,就提示失败了:
Install lower than PHP 7.1 is not supported on very new linux versions such as Ubuntu 19+, Debian 10, Deepin 20+, Fedora 29+ etc.

因为腾讯云香港vps的centos系统只有7.6版本,于是我就安装了一个Debian 10.2 ,结果重装安装lnmp1.9时,仍然出现以上提示,无法安装。无奈之下,我又用回centos 7.6系统,这次安装lnmp1.8一键包,也是全部选默认选项,php版本也是默认的5.6.40。结果发现,这次安装,并没有出错提示了,可以顺利安装了。

我觉得很奇怪,为什么相同系统,lnmp1.9无法安装PHP5.6,而lnmp1.8却可以安装呢?以后老程序只能用到lnmp1.8一键包了吗?

美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-11-30 14:39:12 | 显示全部楼层


Debian 10及以上版本安装PHP 7.1以下版本的话肯定会“Install lower than PHP 7.1 is not supported on very new linux versions such as Ubuntu 19+, Debian 10, Deepin 20+, Fedora 29+ etc.”提示,centos 7是肯定不会提示的

1.8和1.9这部分的代码都是一样的

我们这边使用centos 7的测试机无法复现问题

你执行:cat /etc/*-release 看一下
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-12-1 11:24:44 | 显示全部楼层

licess 发表于 2022-11-30 14:39
Debian 10及以上版本安装PHP 7.1以下版本的话肯定会“Install lower than PHP 7.1 is not supported on ver ...

刚刚试了一下,执行了cat /etc/*-release  这个命令行

[root@VM-8-10-centos ~]# cat /etc/*-release
CentOS Linux release 7.6.1810 (Core)
NAME="CentOS Linux"
VERSION="7 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"

CentOS Linux release 7.6.1810 (Core)
CentOS Linux release 7.6.1810 (Core)
[root@VM-8-10-centos ~]#

然后,我试着安装了lnmp1.9 这次可以安装了,太神奇了啊,可以安装了!
谢谢军哥!
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2023-2-2 16:30 , Processed in 0.044448 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表